Skip to content
Start here

List Domains

client.workers.domains.list(DomainListParams { account_id, environment, hostname, 3 more } params, RequestOptionsoptions?): SinglePage<DomainListResponse { id, cert_id, environment, 4 more } >
GET/accounts/{account_id}/workers/domains

Lists all domains for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
params: DomainListParams { account_id, environment, hostname, 3 more }
account_id: string

Path param: Identifier.

maxLength32
environment?: string

Query param: Worker environment associated with the domain.

hostname?: string

Query param: Hostname of the domain.

service?: string

Query param: Name of the Worker associated with the domain.

zone_id?: string

Query param: ID of the zone containing the domain hostname.

zone_name?: string

Query param: Name of the zone containing the domain hostname.

ReturnsExpand Collapse
DomainListResponse { id, cert_id, environment, 4 more }
id: string

Immutable ID of the domain.

cert_id: string

ID of the TLS certificate issued for the domain.

formatuuid
Deprecatedenvironment: string

Worker environment associated with the domain.

hostname: string

Hostname of the domain. Can be either the zone apex or a subdomain of the zone. Requests to this hostname will be routed to the configured Worker.

service: string

Name of the Worker associated with the domain. Requests to the configured hostname will be routed to this Worker.

zone_id: string

ID of the zone containing the domain hostname.

zone_name: string

Name of the zone containing the domain hostname.

List Domains

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const domainListResponse of client.workers.domains.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(domainListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "dbe10b4bc17c295377eabd600e1787fd",
      "cert_id": "9fdf92c8-64c2-4a3d-b1af-e15304961145",
      "environment": "production",
      "hostname": "app.example.com",
      "service": "my-worker",
      "zone_id": "593c9c94de529bbbfaac7c53ced0447d",
      "zone_name": "example.com"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "dbe10b4bc17c295377eabd600e1787fd",
      "cert_id": "9fdf92c8-64c2-4a3d-b1af-e15304961145",
      "environment": "production",
      "hostname": "app.example.com",
      "service": "my-worker",
      "zone_id": "593c9c94de529bbbfaac7c53ced0447d",
      "zone_name": "example.com"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}